Back to Xiaohongshu (RedNote)
TikHub·Xiaohongshu (RedNote)

Xiaohongshu App V2: Get note comments

/api/v1/xiaohongshu/app_v2/get_note_commentssync$0.015 / call

Get comment list for a specified note, supports pagination and multiple sort strategies (TikHub · Xiaohongshu App V2)

Input
  • note_idstring

    Note ID (default "")

  • share_textstring

    xhslink.com / xhslink.cn / Share link, supports xiaohongshu.com, xhslink.com, xhslink.cn (default "")

  • cursorstring

    Pagination cursor, leave empty for first request (default "")

  • indexinteger

    Comment index, pass 0 for first request (default 0)

  • pageAreastring

    : UNFOLDED( - ), FOLDED( ) (default "UNFOLDED")

  • sort_strategystring

    Sort strategy: default, latestv2, likecount (default "latest_v2")

Run it

curl -s https://sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"tikhub","endpoint":"/api/v1/xiaohongshu/app_v2/get_note_comments","input":{}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.